### Method

# Vips Image complex2

#### Declaration [src]

    int
    vips_complex2 (
      VipsImage* left,
      VipsImage* right,
      VipsImage** out,
      VipsOperationComplex2 cmplx,
      ...
    )

#### Description [src]

Perform various binary operations on complex images.

Angles are expressed in degrees. The output type is complex unless the input is double or dpcomplex, in which case the output is dpcomplex.

This method is not directly available to language bindings.

#### Parameters

`right`

  Type: `VipsImage`

  Input `VipsImage`.

  The data is owned by the caller of the method.

`out`

  Type: `VipsImage`

  Output `VipsImage`.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`cmplx`

  Type: `VipsOperationComplex2`

  Complex2 operation to perform.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.